<?php

/* Theme Setup */
if ( !function_exists( 'prime_business_setup' ) ):

    function prime_business_setup() {
        /**
         * Adds theme support for featured image
         */
        add_theme_support( 'post-thumbnails' );

        /* Image Ratio - 16:9 */
        add_image_size( 'prime-business-1200-16x9', 1200, 675, true );

        /* Image Ratio - 1:1 */
        add_image_size( 'prime-business-600-1x1', 600, 600, true );

        /* Image Ratio - 3:2 */
        add_image_size( 'prime-business-600-3x2', 600, 400, true );

        // Add default posts and comments RSS feed links to head.
        add_theme_support( 'automatic-feed-links' );
        /*
         * Adds theme support for automatically adding document title by WordPress
         */
        add_theme_support( 'title-tag' );
         /**
          * Add theme support for selective refresh for widgets.
          */
        add_theme_support( 'customize-selective-refresh-widgets' );
        /*
         * Make theme available for translation.
         */
        load_theme_textdomain( 'prime-business' );
        /**
         * Adds custom background support.
         */
        add_theme_support( 'custom-background', array(
            'default-color' => 'ffffff',
          )
        );

        /**
         * Register Navigation Menu
         */
        register_nav_menus( array (
            'header_menu' => esc_html__( 'Header Menu', 'prime-business' ),
            'mobile_menu' => esc_html__( 'Mobile Menu', 'prime-business' ),
            'social_menu' => esc_html__( 'Social Menu', 'prime-business' ),
         ) );

        /*
         * Switch default core markup for search form, comment form, and comments
         * to output valid HTML5.
         */
        add_theme_support(
            'html5',
            array(
                'search-form',
                'comment-form',
                'comment-list',
                'gallery',
                'caption',
            )
        );

        /**
         * Add support for core custom logo.
         *
         * @link https://codex.wordpress.org/Theme_Logo
         */
        add_theme_support(
            'custom-logo',
            array(
                'height'      => 55,
                'width'       => 220,
                'flex-width'  => true,
                'flex-height' => true,
            )
        );

        // Add support for responsive embedded content.
        add_theme_support( 'responsive-embeds' );
    }

endif;

add_action( 'after_setup_theme', 'prime_business_setup' );
